"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prodConfig = void 0;
var webpack = require("webpack");
var esbuild_loader_1 = require("esbuild-loader");
function prodConfig(webpackConfig, options) {
    var config = options.config;
    var devtool = config.devtool, _a = config.hash, hash = _a === void 0 ? true : _a, _b = config.minify, minify = _b === void 0 ? true : _b;
    webpackConfig.mode = 'production';
    webpackConfig.devtool = devtool;
    if (hash) {
        webpackConfig.output.filename = '[name].[contenthash].js';
        webpackConfig.output.chunkFilename = '[name].[contenthash].js';
    }
    webpackConfig.optimization.noEmitOnErrors = true;
    if (minify) {
        webpackConfig.plugins.push(new webpack.ids.HashedModuleIdsPlugin());
        webpackConfig.optimization.minimizer = [
            new esbuild_loader_1.EsbuildPlugin({
                css: true
            })
        ];
    }
    else {
        webpackConfig.output.pathinfo = true;
        webpackConfig.optimization.minimize = false;
    }
}
exports.prodConfig = prodConfig;
